Main Page Widgets Namespaces Book

# Glib::SignalProxy0< R > Class Template Reference

Proxy for signals with 0 arguments. More...

Inheritance diagram for Glib::SignalProxy0< R >:

[legend]
List of all members.

## Public Types

typedef SigC::Slot0<R> | SlotType
typedef SigC::Slot0<void> | VoidSlotType

## Public Methods

| SignalProxy0 (ObjectBase* obj, const SignalProxyInfo* info)
SigC::Connection | connect (const SlotType& slot, bool after=true)
SigC::Connection | connect_notify (const VoidSlotType& slot, bool after=false)

## Detailed Description

### template <class R>
class Glib::SignalProxy0< R >

Proxy for signals with 0 arguments.

Use the connect() method, with SigC::slot() to connect signals to signal handlers.

## Member Typedef Documentation

template <class R>
typedef SigC::Slot0<R> Glib::SignalProxy0<R>::SlotType

template <class R>
typedef SigC::Slot0<void> Glib::SignalProxy0<R>::VoidSlotType

## Constructor & Destructor Documentation

template <class R>
Glib::SignalProxy0<R>::SignalProxy0 | ( | ObjectBase* | obj,
|  | const SignalProxyInfo* | info
| ) | `[inline]`

## Member Function Documentation

template <class R>
SigC::Connection Glib::SignalProxy0<R>::connect | ( | const SlotType& | slot,
|  | bool | after = true
| ) | `[inline]`

template <class R>
SigC::Connection Glib::SignalProxy0<R>::connect_notify | ( | const VoidSlotType& | slot,
|  | bool | after = false
| ) | `[inline]`

The documentation for this class was generated from the following file:

- signalproxy.h